Skip to main content
GET
/
{version}
/
invoices
/
receipt
/
number
/
{invoice_number}
Retrieve Invoice Receipt By Number
curl --request GET \
  --url https://api.example.com/{version}/invoices/receipt/number/{invoice_number} \
  --header 'Authorization: Bearer <token>'
{
  "invoice_id": 123,
  "invoice_number": "<string>",
  "currency": "<string>",
  "total_amount": 123,
  "status": "<string>",
  "note": "<string>",
  "due_date": "2023-11-07T05:31:56Z",
  "as_payment_link": true,
  "fee_bearer": "<string>",
  "owner_id": 123,
  "owner_type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "counterparty_id": 123,
  "relationship_type": "<string>",
  "counterparty_name": "<string>",
  "counterparty_phone": "<string>",
  "reference_id": "<string>",
  "paid_at": "2023-11-07T05:31:56Z",
  "counterparty_email": "<string>",
  "payer_amount": 1.01,
  "payer_currency": "<string>",
  "payee_amount": 1.01,
  "payee_currency": "<string>",
  "platform_fee": 123,
  "platform_currency": "<string>",
  "gateway_fee": 123,
  "gateway_currency": "<string>",
  "fx_fee": 123,
  "fx_rate": "<string>",
  "fx_currency_from": "<string>",
  "fx_currency_to": "<string>",
  "payment_provider": "<string>",
  "payment_method": "<string>",
  "account_name": "<string>",
  "gateway_confirmed_at": "2023-11-07T05:31:56Z",
  "provider_transaction_id": "<string>",
  "items": [
    {
      "id": 123,
      "name": "<string>",
      "qty": 123,
      "amount": 1.01,
      "currency": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
string
required
Allowed value: "v1"
invoice_number
string
required

Response

Successful Response

InvoiceReceiptResponse

invoice_id
integer
required
invoice_number
string
required
currency
string
required

Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)

Required string length: 3
total_amount
required

Amount

status
string
required
note
string
required
due_date
string<date-time>
required
fee_bearer
string
required
owner_id
integer
required
owner_type
string
required
created_at
string<date-time>
required
counterparty_id
integer
required
relationship_type
string
required
counterparty_name
string
required
counterparty_phone
string
required

E.164 digits only, without '+' (e.g. 231771234567)

Required string length: 8 - 15
reference_id
string | null
paid_at
string<date-time> | null
counterparty_email
string | null
payer_amount

A positive, non-zero amount.

Required range: x >= 0.01
payer_currency
string | null
Required string length: 3
payee_amount

A positive, non-zero amount.

Required range: x >= 0.01
payee_currency
string | null
Required string length: 3
platform_fee

Amount

platform_currency
string | null
Required string length: 3
gateway_fee

Amount

gateway_currency
string | null
Required string length: 3
fx_fee

Amount

fx_rate
string | null
fx_currency_from
string | null
Required string length: 3
fx_currency_to
string | null
Required string length: 3
payment_provider
string | null
payment_method
string | null
account_name
string | null
gateway_confirmed_at
string<date-time> | null
provider_transaction_id
string | null
items
ReceiptItem · object[] | null
Last modified on June 23, 2026